Bug 344411 - $RANDOM stays the same when job executed in the background
$RANDOM stays the same when job executed in the background
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Janousek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-21 08:36 EDT by Sami Farin
Modified: 2008-01-11 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.2-19.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 17:04:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sami Farin 2007-10-21 08:36:01 EDT
Description of problem:
$ echo $RANDOM$RANDOM$RANDOM &
24366159785618
[2] 8575
[2]-  Done                    echo $RANDOM$RANDOM$RANDOM
$ echo $RANDOM$RANDOM$RANDOM &
24366159785618
[2] 8576
[2]-  Done                    echo $RANDOM$RANDOM$RANDOM

BUT:

$ echo $RANDOM$RANDOM$RANDOM
24366159785618
$ echo $RANDOM$RANDOM$RANDOM
194211696721283



Version-Release number of selected component (if applicable):
3.2-18

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tomas Janousek 2007-11-06 13:04:28 EST
(just a note for someone reading this bug in the future:
In order to reproduce it, you have to execute "echo $RANDOM" (without &) at
least once before trying this.)
Comment 2 Fedora Update System 2007-11-28 20:32:39 EST
bash-3.2-19.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bash'
Comment 3 Fedora Update System 2007-11-28 20:37:10 EST
bash-3.2-19.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bash'
Comment 4 Fedora Update System 2008-01-11 17:04:23 EST
bash-3.2-19.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-01-11 17:04:58 EST
bash-3.2-19.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.